## bit-cron 2.0-20110905.01

=== Makefile ===
PREFIX=debian/bit-cron/

install:
	mkdir -p $(PREFIX)etc/cron.d
	cp ./cron.d/bit-cron $(PREFIX)etc/cron.d
# cronscripts
	mkdir -p $(PREFIX)usr/share/bit-cron/cronscripts
	cp ./cronscripts/pgsql-backup.cron $(PREFIX)usr/share/bit-cron/cronscripts
	cp ./cronscripts/mysql-backup.cron $(PREFIX)usr/share/bit-cron/cronscripts
	cp ./cronscripts/prune-dir.cron $(PREFIX)usr/share/bit-cron/cronscripts
	cp ./cronscripts/tape-backup.cron $(PREFIX)usr/share/bit-cron/cronscripts
# man
	mkdir -p $(PREFIX)usr/share/man/man1
	cp ./man/bitcron.1 $(PREFIX)usr/share/man/man1/
# bin
	cp ./bin/bitcron $(PREFIX)usr/bin

uninstall:
	rm $(PREFIX)etc/cron.d/bit-cron
# cronscripts
	rm $(PREFIX)etc/cronscripts/pgsql-backup.cron
	rm $(PREFIX)etc/cronscripts/mysql-backup.cron
	rm $(PREFIX)etc/cronscripts/prune-dir.cron
	rm $(PREFIX)etc/cronscripts/tape-backup.cron
# man
	rm $(PREFIX)usr/share/man/man1/bitcron.1
# bin
	rm $(PREFIX)usr/bin/bitcron 

clean:
	-echo "NOP"

=== debian/changelog ===
bit-cron (2.0-20110905.01) stable; urgency=low

  * Reworked to the basics.

 -- Sander Smeenk <sander@bit.nl>  Mon, 05 Sep 2011 15:05:03 +0200

bit-cron (1.9-20101015.01) stable; urgency=low

  * Exclude meta-database 'information_schema' in mysql-backup.cron

 -- Sander Smeenk <sanders@bit.nl>  Fri, 15 Oct 2009 13:37:00 +0200

bit-cron (1.9-20091009.01) stable; urgency=low

  * Update copyright period
  * Also autoupdate bit-keys

 -- Mark Schouten <marks@bit.nl>  Fri, 09 Oct 2009 14:55:05 +0200

bit-cron (1.9-20080626.01) stable; urgency=low

  * Removed option --allow-authenticated from apt-snippet,
    this doesn't work on Sarge boxes

 -- Mark Schouten <marks@bit.nl>  Thu, 26 Jun 2008 15:06:04 +0200

bit-cron (1.9-20080623.01) stable; urgency=low

  * Removed BIT-platform specific cronjob 'update-virusdefs.cron'
  * Added 'setopt -o pipefail' to (my|pg)sql-backup.cron
    This should make (my|pg)sql-backups fail correctly on dumping errors

 -- Sander Smeenk <sanders@bit.nl>  Mon, 23 Jun 2008 10:14:04 +0200

bit-cron (1.9-20080620.01) stable; urgency=low

  * depend on postfix | mta

 -- Sten Spans <sten@bit.nl>  Fri, 20 Jun 2008 14:34:30 +0200

bit-cron (1.9-20070918.01) stable; urgency=low

  * small cleanups, motivated by needed changes for ldap-backup.cron

 -- Sten Spans <sten@bit.nl>  Tue, 18 Sep 2007 11:46:47 +0200

bit-cron (1.9-20070806.01) stable; urgency=low

  * use bash, its a much better default

 -- Sten Spans <sten@localhost.localdomain>  Mon,  6 Aug 2007 21:14:19 +0200

bit-cron (1.9-20070531.02) stable; urgency=low

  * include update_bitkeys conditionally 

 -- Sten Spans <sten@localhost.localdomain>  Thu, 31 May 2007 15:54:20 +0200

bit-cron (1.9-20070531.01) stable; urgency=low

  * remove update_bitkeys script from this package 

 -- Sten Spans <sten@bit.nl>  Thu, 31 May 2007 15:31:52 +0200

bit-cron (1.9-20070524.01) stable; urgency=low

  * cleanup ldap-backup, remove stupid destdir crap

 -- Sten Spans <sten@bit.nl>  Thu, 24 May 2007 10:51:49 +0200

bit-cron (1.9-20070308.01) stable; urgency=low
  * Fix Mysql 5.0 and 5.1 support for mysql-backup.cron

 -- Mark Schouten <marks@bit.nl>  Thu,  8 Mar 2007 17:15:25 +0200

bit-cron (1.9-20070206.01) stable; urgency=low

  * remove "function" from bit-cron.cron to work with dash

 -- Sten Spans <sten@bit.nl>  Tue,  6 Feb 2007 13:18:49 +0200

bit-cron (1.9-20070108.01) stable; urgency=low

  * remove sendmail-bin from Depends to stop spurious sendmail-* installs

 -- Sten Spans <sten@bit.nl>  Mon,  8 Jan 2007 13:18:49 +0200

bit-cron (1.9-20061215.01) stable; urgency=low

  * Add the correct path for the ldap-backup
  * Updated the version of the debian package

 -- Miek Gieben <miekg@bit.nl>  Tue, 15 Dec 2006 10:55:49 +0200

bit-cron (1.9-20060718.01) stable; urgency=low

  * debian/: Upgraded to the 21st century

 -- Miek Gieben <miekg@bit.nl>  Tue, 18 Jul 2006 10:39:49 +0200

bit-cron (1.9-20050705.01) stable; urgency=low
  * tape-backup.cron changed to use decent blocksizes for all known drives 
  on slack/redhat/debian.
  
 -- Pim van Pelt <pim@bit.nl> Tue Mar  1 08:30:35 CET 2005

bit-cron (1.9-20050616.01) stable; urgency=low
  * tape-backup.cron changed to use decent blocksizes for DLT units (hvm)

 -- Pim van Pelt <pim@bit.nl> Tue Mar  1 08:30:35 CET 2005

bit-cron (1.9-20050523.04) stable; urgency=low

  * Updated bitcron(1) to 1.9
    * empty MAILTO bug <otto@bit.nl>
    * sendmail-bin | mail-transport-agent dependency <hans@bit.nl>
  * Added rsync-backup.cron; 
  * Changed mailto for *-backup.cron to 'backup-admin-unix@bit.nl'

 -- Pim van Pelt <pim@bit.nl> Fri May 13 10:09:39 CEST 2005

bit-cron (1.7-20050513.01) stable; urgency=low

  * various aesthetic fixes;
  * tape-backup.cron has an input/output error checker
  * added explanatory language in webalizer/awstats crondefs
  * Updated bitcron(1) to 1.7; (was 1.6)

 -- Pim van Pelt <pim@bit.nl> Fri May 13 10:09:39 CEST 2005

bit-cron (1.3-20050509.01) stable; urgency=medium

  * bug in tape-backup.cron; aesthetics and minor bugfixes (hvm)

 -- Pim van Pelt <pim@bit.nl> Mon May  9 12:11:21 CEST 2005

bit-cron (1.3-20050301.01) stable; urgency=medium

  * bug in check_megaraid; megaraid1 detection flaw
  * bug in tape-backup.cron; fatal_error numeric/string argument mixup.
  * bug in update-virusdefs.cron; sophos updates did not get moved into place.

 -- Pim van Pelt <pim@bit.nl> Tue Mar  1 08:30:35 CET 2005

bit-cron (1.3-20050221.01) stable; urgency=medium

  * New MASTERLOG convention   : /var/log/bit-cron/$NAME.log
  * New local config convention: /etc/bit-cron/$NAME.local
  * Various bitcron(1) updates;
  * Added several cron definitions
  
 -- Pim van Pelt <pim@bit.nl> Mon Feb 21 08:46:46 CET 2005

bit-cron (1.0-20050126.00) stable; urgency=high

  * First official Debian release as bit-cron (used to be bitcron)
  
 -- Pim van Pelt <pim@bit.nl> Mon Jan 24 14:00:55 CET 2005

=== debian/control ===
Source: bit-cron
Section: unknown
Priority: extra
Maintainer: Sander Smeenk <support@bit.nl>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://www.bit.nl/

Package: bit-cron
Architecture: all
Depends: ${misc:Depends}
Description: BIT's CRON wrapper script
 This is a long description, indented with spaces.

## bit-cron 2.0-20111012.01

=== debian/changelog ===
bit-cron (2.0-20111012.01) stable; urgency=low

  * Default back to mail.colo.bit.nl for FQDNs. This domain has
    MX-records, even though it does not accept mail.

 -- Sander Smeenk <sander@bit.nl>  Mon, 05 Sep 2011 15:05:03 +0200

## bit-cron 2.0-20121205.01

=== Makefile ===
--- 
+++ 
@@ -18,10 +18,12 @@
 uninstall:
 	rm $(PREFIX)etc/cron.d/bit-cron
 # cronscripts
-	rm $(PREFIX)etc/cronscripts/pgsql-backup.cron
-	rm $(PREFIX)etc/cronscripts/mysql-backup.cron
-	rm $(PREFIX)etc/cronscripts/prune-dir.cron
-	rm $(PREFIX)etc/cronscripts/tape-backup.cron
+	rm $(PREFIX)usr/share/bit-cron/cronscripts/pgsql-backup.cron
+	rm $(PREFIX)usr/share/bit-cron/cronscripts/mysql-backup.cron
+	rm $(PREFIX)usr/share/bit-cron/cronscripts/prune-dir.cron
+	rm $(PREFIX)usr/share/bit-cron/cronscripts/tape-backup.cron
+	rm -r $(PREFIX)usr/share/bit-cron/cronscripts
+	rm -r $(PREFIX)usr/share/bit-cron
 # man
 	rm $(PREFIX)usr/share/man/man1/bitcron.1
 # bin

=== debian/changelog ===
bit-cron (2.0-20121205.01) stable; urgency=low

  * Fix 'make uninstall', not sure why, we never use it anyways.
    Prep for building on obit!

 -- Sander Smeenk <sander@bit.nl>  Mon, 05 Dec 2012 00:04:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: unknown
 Priority: extra
 Maintainer: Sander Smeenk <support@bit.nl>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper 
 Standards-Version: 3.8.4
 Homepage: http://www.bit.nl/

## bit-cron 2.1-20111227.01

=== debian/changelog ===
bit-cron (2.1-20111227.01) stable; urgency=low

  * Change LOCKFILE var to BITCRONLOCK to avoid clashing with
    vars from scripts implementing their own locking mechanism,
    often relying on the same variable.
  * Last release was from the future. Version bump to fix that.
  * Depend on mail-transfer-agent

 -- Sander Smeenk <sander@bit.nl>  Tue, 27 Dec 2011 19:17:10 +0200

## bit-cron 2.1-20120629.01

=== debian/changelog ===
bit-cron (2.1-20120629.01) stable; urgency=medium

  * Fix the concurrency locking section:
    Do not remove the lockfile if the process quits
    due to it being locked...

 -- Sander Smeenk <support@bit.nl>  Fri, 29 Jun 2012 19:14:13 +0200

bit-cron (2.1-20120402.01) stable; urgency=low

  * Fix mysql-backup cronscript for performance_schema

 -- Sander Smeenk <sander@bit.nl>  Tue, 27 Dec 2011 19:17:10 +0200

## bit-cron 3-20130307.01

=== debian/changelog ===
bit-cron (3-20130307.01) stable; urgency=low

  * Push the 'do not remove /etc/bit-cron on install'-fix

 -- Sander Smeenk <support@bit.nl>  Thu, 07 Mar 2013 01:02:03 +0200

## bit-cron 3-20130703.01

=== debian/changelog ===
bit-cron (3-20130703.01) stable; urgency=low
 
  * Fix dynamic BITCRONLOCK for prune-dir.cron, args included

 -- Sander Smeenk <support@bit.nl>  Wed, 03 Jul 2013 16:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 
 Package: bit-cron
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, postfix | mail-transport-agent
 Description: BIT's CRON wrapper script
  This is a long description, indented with spaces.

## bit-cron 3-20130709.01

=== debian/changelog ===
bit-cron (3-20130709.01) stable; urgency=low
 
  * Try and fix cleaning of /etc/bit-cron (only remove when PURGEd)

 -- Sander Smeenk <support@bit.nl>  Wed, 03 Jul 2013 16:20:00 +0200

## bit-cron 3-20141212.01

=== debian/changelog ===
bit-cron (3-20141212.01) stable; urgency=low
  
  * Add catch when 0 databases are dumped [fatal]

 -- Sander Smeenk <support@bit.nl>  Wed, 03 Jul 2013 16:20:00 +0200

## bit-cron 3-20160906.01

=== debian/changelog ===
bit-cron (3-20160906.01) stable; urgency=low
  
  * Complain about locked jobs > 1 day.
    Should perhaps be a configuration item?

 -- Sander Smeenk <support@bit.nl>  Tue, 09 Sep 2016 16:20:00 +0200

## bit-cron 3-20210527.01

=== debian/control ===
Source: bit-cron
Section: admin
Priority: extra
Maintainer: Sander Smeenk <support@bit.nl>
Build-Depends: debhelper 
Standards-Version: 3.9.6
Homepage: https://bitgit.bit.nl/unix/bit-cron/tree/master

Package: bit-cron
Architecture: all
Depends: ${misc:Depends}, exim4 | mail-transport-agent
Description: BIT's CRON wrapper script
 This is a long description, indented with spaces.

## bit-cron 3-20240703.01

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: bit-cron
 Section: admin
 Priority: extra
-Maintainer: Sander Smeenk <support@bit.nl>
-Build-Depends: debhelper 
+Maintainer: BIT Support <support@bit.nl>
+Build-Depends: debhelper
 Standards-Version: 3.9.6
 Homepage: https://bitgit.bit.nl/unix/bit-cron/tree/master

## bit-cron 3-20251209.01

=== debian/changelog ===
bit-cron (3-20251209.01) stable; urgency=low

  * Bump version

 -- BIT Support <support@bit.nl>  Tue, 09 Dec 2025 12:34:56 +0200

bit-cron (3-20250610.01) stable; urgency=low

  * Do not rotate logfiles when a bit-cron task was LOCKED by a BITCRONLOCK.

 -- BIT Support <support@bit.nl>  Tue, 10 Jun 2025 12:34:56 +0200

bit-cron (3-20250513.01) stable; urgency=low

  * Make BITCRONLOCKSILENT more silenter: do not warn for stale lock files.

 -- BIT Support <support@bit.nl>  Tue, 13 May 2025 12:34:56 +0200

bit-cron (3-20240703.01) stable; urgency=low
 
  * It is now possible to set a variable `NO_FILES_LOGRETENTION` to
    regulate the number of files that are kept in the /var/log/bit-cron
    directory. It default to 10 when this variable is not set in the 
    cronscript.

 -- BIT Support <support@bit.nl>  Wed, 03 Jul 2024 16:00:00 +0200

bit-cron (3-20240522.01) stable; urgency=low

  * In the future, the use of absolute paths will be mandatory; in this
    version, a warning will be issued when an absolute path is not used.
  * From now on, retention in the SQL backup scripts will be based on
    date instead of the number of backups.

 -- BIT Support <support@bit.nl>  Wed, 22 May 2024 13:30:00 +0200

bit-cron (3-20240411.01) stable; urgency=low

  * Improved backup scripts for mydumper and xtrabackup that allow backups and
    force rotation of the binary logs when enabled

 -- BIT Support <support@bit.nl>  Fri, 11 Apr 2024 15:01:00 +0200

bit-cron (3-20221104.01) stable; urgency=low

  * Update PostgreSQL backup script

 -- BIT Support <support@bit.nl>  Fri, 04 Nov 2022 16:36:00 +0200

bit-cron (3-20210527.01) stable; urgency=low

  * Add a MySQL backup script using mydumper
  * Add a MySQL backup script using Percona XtraBackup
  * Add support for spaces in table names for the mysqlbackup script

 -- BIT Support <support@bit.nl>  Thu, 27 May 2021 16:29:00 +0200

bit-cron (3-20210226.01) stable; urgency=low

  * Do not croak when reading empty PID from BITCRONLOCK

 -- BIT Support <support@bit.nl>  Fri, 26 Feb 2021 04:20:00 +0200

bit-cron (3-20200429.01) stable; urgency=low

  * Use `hostname -f` for FQDN lookup

 -- BIT Support <support@bit.nl>  Wed, 29 Apr 2020 04:20:00 +0200

bit-cron (3-20200128.01) stable; urgency=low

  * Security fix for CVE_166507.

 -- BIT Support <support@bit.nl>  Tue, 28 Jan 2020 04:20:00 +0200

bit-cron (3-20190815.01) stable; urgency=low

  * Fix prune-dir.cron with -print0 / -0 args.

 -- BIT Support <support@bit.nl>  Thu, 15 Aug 2019 04:20:00 +0200

bit-cron (3-20190724.01) stable; urgency=low

  * Drop mandatory AUTHOR flag in cronscript definitions, will now
    be silently ignored by bit-cron.
  * Ignore crond(1) defined MAITO environment to prevent mail noise.
  * Add 'version' to X-mailer header for rspamd.

 -- BIT Support <support@bit.nl>  Wed, 24 Jul 2019 04:20:00 +0200

bit-cron (3-20181008.01) stable; urgency=low

  * Fix(?) bitcron bit-cron symlinking

 -- BIT Support <support@bit.nl>  Mon, 08 Oct 2018 04:20:00 +0200

bit-cron (3-20181005.01) stable; urgency=low

  * Make BITCRONLOCKSILENT and BITCRONLOCKLIMIT feature actually work
    See man page.

 -- BIT Support <support@bit.nl>  Fri, 05 Oct 2018 04:20:00 +0200

bit-cron (3-20181004.01) stable; urgency=low

  * Add BITCRONLOCKSILENT and BITCRONLOCKLIMIT feature.
    See man page.

 -- BIT Support <support@bit.nl>  Thu, 04 Oct 2018 04:20:00 +0200

bit-cron (3-20180706.01) stable; urgency=low

  * Fix argument issue in prune-dir.cron that could potentionally
    wreak havoc.

 -- BIT Support <support@bit.nl>  Fri, 06 Jul 2018 04:20:00 +0200
